Home

# Class goog.ds.JsPropertyDataSource

Data source for JavaScript properties that arent objects. Contains reference to parent object so that you can set the vaule

extends goog.ds.BaseDataNode

Instance Method Summary
| `get() ⇒ ?Object` Get the value of the node
| `getDataName() ⇒ string` Get the name of the node relative to the parent node
| `getParent_() ⇒ ?goog.ds.DataNode` Get the parent node
| `set(?Object value)` Set the value of the node